Bug 89874 - Anaconda card and monitor detection
Anaconda card and monitor detection
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-xfree86 (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-29 02:18 EDT by Jim
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-30 09:55:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jim 2003-04-29 02:18:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.3) Gecko/20030312

Description of problem:
I've got an ATI Mach64 3D Rage IIC card, and a Topcon L6-150 LCD monitor.
anaconda is able to probe and detect the card OK, but cannot probe the monitor.
When it generates the XF86Config file, it guesses wrong and will only give me
800x600 resolution. 

By comparison, RH 7.3 was able to correctly probe and detect the very same card
and monitor on installation, and give me 1024x768 resolution at 24bit. 

To make matters worse, I don't seem to have Xconfigurator, xf86Config installed,
and XFree86 -configure doesn't do any better than anaconda.

Version-Release number of selected component (if applicable):
Version which ships with RH9

How reproducible:
Always

Steps to Reproduce:
1. Reinstall RH9

    

Actual Results:  Same resolution. 

Additional info:

Taking the XF86config file from the old 7.3 installation and putting it into the
new installation doesn't work.
Comment 1 Michael Fulbright 2003-04-29 12:05:31 EDT
Did you try running redhat-config-xfree86?

There is no reliable way for us to get LCD monitor information at this time.
Comment 2 Jim 2003-05-01 23:28:58 EDT
Great. Tried redhat-config-xfree86 and was able to enter the correct Hsync and
Vsync settings from the previous XF86Config file generated under Redhat 7.2.
Monitor now running happily at 1024x768.
For reference, the Monitor was a Topcon L6 150, which operates correctly with
these values:
    HorizSync   31.5-48.5
    VertRefresh 50-70

A couple of comments on this, by way of feedback:
  - I understand the impossibility of probing all monitors. However it seems
like a step in the wrong direction that Redhat 7.2 was able to correctly guess
the settings for this monitor, but Redhat 9 was not.
  - Likewise, the renaming of the tool that would let me correct this problem is
also an odd decision. I knew of xf86config and Xconfigurator but these weren't
present on my system. Maybe even a symlink of Xconfigurator to the redhat X
configuration tool would be a good idea.

Anyway, thanks for your help in resolving this.

Note You need to log in before you can comment on or make changes to this bug.